nphilipp pushed to ardour2 (f22). "rename ardour.script to ardour.sh to appease rpmlint"

notifications at fedoraproject.org notifications at fedoraproject.org
Mon May 11 21:46:02 UTC 2015


From d10fc925e615a7e17eb78bdde99bf0c03f9cee1e Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils at redhat.com>
Date: Mon, 11 May 2015 23:43:15 +0200
Subject: rename ardour.script to ardour.sh to appease rpmlint


diff --git a/ardour.script b/ardour.script
deleted file mode 100755
index f560328..0000000
--- a/ardour.script
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/sh
-
-A2DIR=~/.ardour2
-
-if ! test -d $A2DIR; then
-  mkdir -p $A2DIR
-  touch $A2DIR/ardourver2.2
-  touch $A2DIR/ardourver2.5
-else
-  if ! test -a $A2DIR/ardourver2.2; then
-    if test -a $A2DIR/ardour2_ui.rc; then
-      mv -f $A2DIR/ardour2_ui.rc $A2DIR/ardour2_ui.rc.bak
-    fi
-    if test -a $A2DIR/ardour2_ui.conf; then
-      mv -f $A2DIR/ardour2_ui.conf $A2DIR/ardour2_ui.conf.bak
-    fi
-    if test -a $A2DIR/ardour.bindings; then
-      mv -f $A2DIR/ardour.bindings $A2DIR/ardour.bindings.bak
-    fi
-    touch $A2DIR/ardourver2.2
-  fi
-  if ! test -a $A2DIR/ardourver2.5; then
-    if test -a $A2DIR/ardour.bindings; then
-      mv -f $A2DIR/ardour.bindings $A2DIR/ardour.bindings.bak
-    fi
-    touch $A2DIR/ardourver2.5
-  fi
-fi
-
-exec /usr/libexec/ardour2 "$@"
diff --git a/ardour.sh b/ardour.sh
new file mode 100755
index 0000000..f560328
--- /dev/null
+++ b/ardour.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+A2DIR=~/.ardour2
+
+if ! test -d $A2DIR; then
+  mkdir -p $A2DIR
+  touch $A2DIR/ardourver2.2
+  touch $A2DIR/ardourver2.5
+else
+  if ! test -a $A2DIR/ardourver2.2; then
+    if test -a $A2DIR/ardour2_ui.rc; then
+      mv -f $A2DIR/ardour2_ui.rc $A2DIR/ardour2_ui.rc.bak
+    fi
+    if test -a $A2DIR/ardour2_ui.conf; then
+      mv -f $A2DIR/ardour2_ui.conf $A2DIR/ardour2_ui.conf.bak
+    fi
+    if test -a $A2DIR/ardour.bindings; then
+      mv -f $A2DIR/ardour.bindings $A2DIR/ardour.bindings.bak
+    fi
+    touch $A2DIR/ardourver2.2
+  fi
+  if ! test -a $A2DIR/ardourver2.5; then
+    if test -a $A2DIR/ardour.bindings; then
+      mv -f $A2DIR/ardour.bindings $A2DIR/ardour.bindings.bak
+    fi
+    touch $A2DIR/ardourver2.5
+  fi
+fi
+
+exec /usr/libexec/ardour2 "$@"
diff --git a/ardour2.spec b/ardour2.spec
index 40a400d..fc9ee9d 100644
--- a/ardour2.spec
+++ b/ardour2.spec
@@ -5,7 +5,7 @@ Release:       1%{?dist}
 # No more direct links. Download from
 # http://ardour.org/download
 Source:        ardour-%{version}.tar.bz2
-Source2:       ardour.script
+Source2:       ardour.sh
 Patch0:        ardour-SConscript.patch
 # Colored grep output makes the script print errors:
 Patch1:        ardour-no-grep-options.patch
@@ -232,6 +232,9 @@ fi
 %{_mandir}/ru/man1/ardour2.1*
 
 %changelog
+* Mon May 11 2015 Nils Philippsen <nils at redhat.com> 2.8.16-1
+- rename ardour.script to ardour.sh to appease rpmlint
+
 * Fri May 08 2015 Nils Philippsen <nils at redhat.com> 2.8.16-1
 - rename package to ardour2
 - mention legacy status in %%changelog
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/ardour2.git/commit/?h=f22&id=d10fc925e615a7e17eb78bdde99bf0c03f9cee1e


More information about the scm-commits mailing list